
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;
public class DhtmlxServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;
	private static final Logger logger = LoggerFactory.getLogger(DhtmlxServlet.class);

	public void test1(HttpServletRequest request, HttpServletResponse response){
		List<PropertyValueBean> list = new ArrayList<PropertyValueBean>();
		list.add(new PropertyValueBean("1","1",""));
		list.add(new PropertyValueBean("2","2",""));
		list.add(new PropertyValueBean("3","3",""));
		list.add(new PropertyValueBean("4","4",""));
		list.add(new PropertyValueBean("5", "5",""));
		Document doc = new Document();
		Element rootNode = new Element("rows");
		int i = 1;
		for(PropertyValueBean obj : list){
			Element rowNode = new Element("row");
			rowNode.setAttribute("id", String.valueOf(i++));
			Element node1 = new Element("cell");
			node1.addContent(obj.getName());
			Element node2 = new Element("cell");
			node2.addContent(obj.getValue());
			Element node3 = new Element("cell");
			node3.addContent(obj.getDesc());
			
			rowNode.addContent(new ArrayList<Element>(Arrays.asList(node1,node2,node3)));
			rootNode.addContent(rowNode);
		}
		doc.addContent(rootNode);
		XMLOutputter outputter = new XMLOutputter();
		outputter.setFormat(Format.getPrettyFormat().setEncoding("utf-8")); 
		try{
			response.setContentType("text/xml; charset=UTF-8");
			response.setHeader("Cache-Control", "no-cache");
			outputter.output(doc, response.getWriter()); 
		}catch(Exception e){
			e.printStackTrace();
			try {
				response.getWriter().write("<flag>0</flag>");
			} catch (IOException e1) {
				e1.printStackTrace();
			}
		}
	}
	protected void service(HttpServletRequest request, HttpServletResponse response)throws ServletException, IOException {
		String action = request.getParameter("action");
		if ("test1".equals(action)) {
            try {
            	test1(request, response);
            } catch (Exception e) {
                logger.info("context", e.getMessage());
            }
        }			
	}
}
